usb_root_hub_lost_power
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_root_hub_lost_power — called by HCD if the root hub lost Vbus power

## Synopsis

`void usb_root_hub_lost_power (` | struct usb_device * | rhdev`)`;

## Arguments

`rhdev`

  struct usb_device for the root hub

## Description

The USB host controller driver calls this function when its root hub is resumed and Vbus power has been interrupted or the controller has been reset. The routine marks `rhdev` as having lost power. When the hub driver is resumed it will take notice; if CONFIG_USB_PERSIST is enabled then it will carry out power-session recovery, otherwise it will disconnect all the child devices.

Prev | Up | Next
usb_hub_tt_clear_buffer | Home | usb_reset_device